#:import strs sstrings

<Item>:
    size_hint_y:0.2
    orientation: "horizontal"
    radif: "1"

    Text_f:
        font_name: "arial.ttf"
        id: description
        size_hint_x:0.17

        focus_previous : root.ids.irad

    Text_f:
        font_name: "arial.ttf"
        id: irad
        size_hint_x:0.18
        focus_next : root.ids.description
        focus_previous : root.ids.peigiri_y

    BoxLayout:
        size_hint_x:0.08
        Num_text:
            size_hint:.5,.8
            pos_hint: {"center_y": .5}
            font_size: 12
            id: peigiri_y
            focus_next : root.ids.irad
            focus_previous : root.ids.peigiri_m

        Num_text:
            size_hint:.25,.8
            pos_hint: {"center_y": .5}
            font_size: 12
            id: peigiri_m
            focus_next : root.ids.peigiri_y
            focus_previous : root.ids.peigiri_d

        Num_text:
            size_hint:.25,.8
            pos_hint: {"center_y": .5}
            font_size: 12
            id: peigiri_d
            focus_next : root.ids.peigiri_m
            focus_previous : root.ids.cost


    Num_text:
        id: cost
        size_hint_x:0.08
        focus_next : root.ids.peigiri_d
        focus_previous : root.ids.serial

    Num_text:
        id: serial
        size_hint_x:0.04
        focus_next : root.ids.cost
        focus_previous : root.ids.model


    Text_f:
        id: model
        size_hint_x:0.06
        font_name: "arial.ttf"
        focus_next : root.ids.serial
        focus_previous : root.ids.stype


    Text_f:
        id: stype
        size_hint_x:0.06
        focus_next : root.ids.model

    Label_f_d:
        id: radif
        size_hint_x:0.02
        text: root.radif












<Search_box>:
    orientation: "vertical"
    BoxLayout:
        orientation: "vertical"
        size_hint_y: .7
        spacing: 5
        BoxLayout:
            Num_text:
                size_hint_x: .6
                id: search_serial
            Label_f:
                size_hint_x: .4
                text: strs.sserial
                color: (1,1,1,1)
        BoxLayout:
            Text_f:
                size_hint_x: .6
                id: search_name
            Label_f:
                size_hint_x: .4
                text: strs.name
                color: (1,1,1,1)
        BoxLayout:
            Text_f:
                size_hint_x: .6
                id: search_model
                font_name: "arial.ttf"
            Label_f:
                size_hint_x: .4
                text: strs.model
                color: (1,1,1,1)
        BoxLayout:
            Num_text:
                size_hint_x: .6
                id: search_mobile
            Label_f:
                size_hint_x: .4
                text: strs.mobile
                color: (1,1,1,1)

    Button:
        text: "search"
        size_hint: 0.3,.3
        pos_hint: {"center_x":.5}
        on_release: root.do()









